Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002533 [JEDI VCL] 00 JVCL Components block always 2005-01-19 09:45 2005-05-18 08:56
Reporter nestor View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002533: TJvDBGrid and EditControls
Description When using an EditControl in a TJvDBGrid and for some reason adding a new record must be aborted, the application blocks.
(See uploaded sample)
Greetings
Additional Information
Tags No tags attached.
Attached Files zip file icon EditCtrl.zip [^] (876 bytes) 2005-01-19 09:45
zip file icon EditCtrl2.zip [^] (1,868 bytes) 2005-01-19 09:53
zip file icon EditCtrl3.zip [^] (2,849 bytes) 2005-04-01 06:58

- Relationships

-  Notes
(0006229)
nestor (reporter)
2005-01-19 09:54

Sorry, Dfm file is missing in EditCtrl.zip, use EditCtrl2.zip.
(0006811)
obones (administrator)
2005-04-01 05:57

What's wrong with the application ?
I ran the test application and could not see and application blocking.
(0006819)
nestor (reporter)
2005-04-01 06:58

I use Delphi 7 and windows 2003.
See the new sample: EditCtrl3

When typing any data into a field that is no linked to a “jvgridcontrols”. The inserted record is aborted and the warning message appears once.

When doing the same thing with a field linked to a “jvgridcontrol” , like “LinkedField” so the warning message appears indefinitely.
(0006820)
obones (administrator)
2005-04-01 07:41

I just tried, with the edit3 example, here is the behaviour I get (D7, WXP):

Type in text in NotLinkedField, get an exception once (the one from your code).
Click on the LinkedField, get the same exception once.

What is wrong with that ?
(0006822)
nestor (reporter)
2005-04-01 08:30

Nothing wrong with your test, but I have not the same result..
I don’t know why the bug doesn’t occur on your system. I tried under WXP pack 2 (JVCL: last CVS), I get the same bug, When click or type text in LinkedField the exception is displayed. When closing the exception window, another one is displayed (the same exception) ..

Maybe, my Delphi Installation is wrong.

Thanks
(0007204)
obones (administrator)
2005-05-18 06:43

Please try again with the latest CVS and let us know how it goes.
If all is well, we would also appreciate if you could tell us.
(0007213)
anonymous (viewer)
2005-05-18 08:43

All is OK...
Thanks
(0007215)
obones (administrator)
2005-05-18 08:56

Thanks for the feedback, it is very much appreciated

- Issue History
Date Modified Username Field Change
2005-01-19 09:45 nestor New Issue
2005-01-19 09:45 nestor File Added: EditCtrl.zip
2005-01-19 09:53 nestor File Added: EditCtrl2.zip
2005-01-19 09:54 nestor Note Added: 0006229
2005-04-01 05:57 obones Note Added: 0006811
2005-04-01 05:57 obones Status new => feedback
2005-04-01 06:58 nestor Note Added: 0006819
2005-04-01 06:58 nestor File Added: EditCtrl3.zip
2005-04-01 07:41 obones Note Added: 0006820
2005-04-01 08:30 nestor Note Added: 0006822
2005-05-18 06:43 obones Note Added: 0007204
2005-05-18 08:43 anonymous Note Added: 0007213
2005-05-18 08:56 obones Status feedback => resolved
2005-05-18 08:56 obones Resolution open => fixed
2005-05-18 08:56 obones Assigned To => obones
2005-05-18 08:56 obones Note Added: 0007215


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker